const system = require("../system");

class dingClient {
    constructor() {
        this.execClient = system.getObject('util.execClient');
        this.gatewayurl = "https://oapi.dingtalk.com/robot/send?access_token=2f1ada261ea84f6c621db487ac18d11eba8984202bd82adda8810770a8240572"
        this.businessToFqUrl = "https://oapi.dingtalk.com/robot/send?access_token=9e215f0f1d77980ee6b39e88a82a7c6e5d290775f76d9a8346e97697f8df9788"
    }

    //推送峰擎异常提醒
    async gatewayPushError(err) {
        if (process.env.APP_ENV === "prod") {
            let c = `注意提醒：阿里->推送峰擎异常，老板们加油，加油，加油 ！！！${JSON.stringify(err)}`
            let t = new Date().toLocaleString()
            this.execClient.execPost({
                "msgtype": "text",
                "text": {"content": t + c}
            }, this.gatewayurl).catch(alierr => {
                console.log(alierr)
            });
        }
    }

    //渠道钉钉提醒
    async gatewayPushByChannel(orderNo, appInfo) {
        let gatewayUrl = setttings.dingRobotUrl(appInfo.uapp_id);
        if (settings.env != "dev" && gatewayUrl) {
            let c = `注意提醒：${appInfo.app_name}->有订单待处理，订单号${orderNo}，老板们加油，加油，加油 ！！！`
            let t = new Date().toLocaleString()
            this.execClient.execPost({
                "msgtype": "text",
                "text": {"content": t + c}
            }, gatewayUrl).catch(err => {
                console.log(err)
            });
        }
    }

    //渠道订单到峰擎--sku没有查询到
    async businessPushFqByChannel(params) {
        if (process.env.APP_ENV != "dev") {
            let c = `注意提醒：${appInfo.app_name}->有订单待处理，渠道下sku查询不到，参数：${JSON.stringify(params)}，老板们加油，加油，加油 ！！！`
            let t = new Date().toLocaleString()
            this.execClient.execPost({
                "msgtype": "text",
                "text": {"content": t + c},
                at: {
                    atMobiles: ["13051727697", "13453222948", "18201231253"]//孟令强、王斌、郭峰
                },
            }, this.businessToFqUrl).catch(err => {
                console.log(err)
            });
        }
    }
}

module.exports = dingClient;
